## net.i2p.sam.client
Interface SAMReader.SAMClientEventListener

All Known Implementing Classes:
  SAMClientEventListenerImpl, SAMEventHandler

Enclosing class:
  SAMReader

    public static interface SAMReader.SAMClientEventListener

Async event notification interface for SAM clients

Field Summary
`static String` `NAMING_REPLY_INVALID_KEY`
`static String` `NAMING_REPLY_KEY_NOT_FOUND`
`static String` `NAMING_REPLY_OK`
`static String` `SESSION_STATUS_DUPLICATE_DEST`
`static String` `SESSION_STATUS_I2P_ERROR`
`static String` `SESSION_STATUS_INVALID_KEY`
`static String` `SESSION_STATUS_OK`
`static String` `STREAM_CLOSED_CANT_REACH_PEER`
`static String` `STREAM_CLOSED_I2P_ERROR`
`static String` `STREAM_CLOSED_OK`
`static String` `STREAM_CLOSED_PEER_NOT_FOUND`
`static String` `STREAM_CLOSED_TIMEOUT`
`static String` `STREAM_STATUS_CANT_REACH_PEER`
`static String` `STREAM_STATUS_I2P_ERROR`
`static String` `STREAM_STATUS_INVALID_KEY`
`static String` `STREAM_STATUS_OK`
`static String` `STREAM_STATUS_TIMEOUT`

Method Summary
`void` `destReplyReceived(String publicKey, String privateKey)`
`void` `helloReplyReceived(boolean ok)`
`void` `namingReplyReceived(String name, String result, String value, String message)`
`void` `sessionStatusReceived(String result, String destination, String message)`
`void` `streamClosedReceived(String result, int id, String message)`
`void` `streamConnectedReceived(String remoteDestination, int id)`
`void` `streamDataReceived(int id, byte[] data, int offset, int length)`
`void` `streamStatusReceived(String result, int id, String message)`
`void` `unknownMessageReceived(String major, String minor, Properties params)`

Field Detail

### SESSION_STATUS_OK

    static final String SESSION_STATUS_OK

See Also:
  Constant Field Values

### SESSION_STATUS_DUPLICATE_DEST

    static final String SESSION_STATUS_DUPLICATE_DEST

See Also:
  Constant Field Values

### SESSION_STATUS_I2P_ERROR

    static final String SESSION_STATUS_I2P_ERROR

See Also:
  Constant Field Values

### SESSION_STATUS_INVALID_KEY

    static final String SESSION_STATUS_INVALID_KEY

See Also:
  Constant Field Values

### STREAM_STATUS_OK

    static final String STREAM_STATUS_OK

See Also:
  Constant Field Values

### STREAM_STATUS_CANT_REACH_PEER

    static final String STREAM_STATUS_CANT_REACH_PEER

See Also:
  Constant Field Values

### STREAM_STATUS_I2P_ERROR

    static final String STREAM_STATUS_I2P_ERROR

See Also:
  Constant Field Values

### STREAM_STATUS_INVALID_KEY

    static final String STREAM_STATUS_INVALID_KEY

See Also:
  Constant Field Values

### STREAM_STATUS_TIMEOUT

    static final String STREAM_STATUS_TIMEOUT

See Also:
  Constant Field Values

### STREAM_CLOSED_OK

    static final String STREAM_CLOSED_OK

See Also:
  Constant Field Values

### STREAM_CLOSED_CANT_REACH_PEER

    static final String STREAM_CLOSED_CANT_REACH_PEER

See Also:
  Constant Field Values

### STREAM_CLOSED_I2P_ERROR

    static final String STREAM_CLOSED_I2P_ERROR

See Also:
  Constant Field Values

### STREAM_CLOSED_PEER_NOT_FOUND

    static final String STREAM_CLOSED_PEER_NOT_FOUND

See Also:
  Constant Field Values

### STREAM_CLOSED_TIMEOUT

    static final String STREAM_CLOSED_TIMEOUT

See Also:
  Constant Field Values

### NAMING_REPLY_OK

    static final String NAMING_REPLY_OK

See Also:
  Constant Field Values

### NAMING_REPLY_INVALID_KEY

    static final String NAMING_REPLY_INVALID_KEY

See Also:
  Constant Field Values

### NAMING_REPLY_KEY_NOT_FOUND

    static final String NAMING_REPLY_KEY_NOT_FOUND

See Also:
  Constant Field Values

Method Detail

### helloReplyReceived

    void helloReplyReceived(boolean ok)

### sessionStatusReceived

    void sessionStatusReceived(String result,
                               String destination,
                               String message)

### streamStatusReceived

    void streamStatusReceived(String result,
                              int id,
                              String message)

### streamConnectedReceived

    void streamConnectedReceived(String remoteDestination,
                                 int id)

### streamClosedReceived

    void streamClosedReceived(String result,
                              int id,
                              String message)

### streamDataReceived

    void streamDataReceived(int id,
                            byte[] data,
                            int offset,
                            int length)

### namingReplyReceived

    void namingReplyReceived(String name,
                             String result,
                             String value,
                             String message)

### destReplyReceived

    void destReplyReceived(String publicKey,
                           String privateKey)

### unknownMessageReceived

    void unknownMessageReceived(String major,
                                String minor,
                                Properties params)